Skip to main content
GET
/
tags
TypeScript
const response: Promise<FireblocksResponse<TagsPagedResponse>> = fireblocks.tags.getTags(tagsApiGetTagsRequest);
{
  "data": [
    {
      "id": "df4c0987-30da-4976-8dcf-bc2dd41ae331",
      "label": "VIP",
      "isProtected": false,
      "updatedAt": 1717084800000,
      "description": "Tag for VIP customers",
      "color": "#FF5733",
      "pendingApprovalRequest": {
        "id": "12345",
        "type": "TAG_UPDATE",
        "state": "PENDING"
      }
    }
  ],
  "next": "MjAyNS0wNy0wOSAxMDo1MzoxMy40NTI=:NA=="
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

pageCursor
string

Page cursor to get the next page.

pageSize
number
default:100

Maximum number of items in the page

Required range: 1 <= x <= 100
label
string

Label prefix to filter by.

tagIds
string<uuid>[]

List of tag IDs to filter by.

Maximum array length: 100
includePendingApprovalsInfo
boolean
default:false

Whether to include pending approval requests info.

isProtected
boolean

Response

200 - application/json

Tags fetched successfully

data
object[]
required
next
string | null
required

Cursor to the next page

Example:

"MjAyNS0wNy0wOSAxMDo1MzoxMy40NTI=:NA=="